## fai 3.2.17~lenny1

=== Makefile ===
include VERSION

SHELL=/bin/bash
DESTDIR=$(shell pwd)/debian/tmp
export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
LIBDIR = $(DESTDIR)/usr/lib/fai
SHAREDIR = $(DESTDIR)/usr/share/fai
USRSBIN_SCRIPTS = make-fai-nfsroot fai-setup fcopy ftar install_packages fai-chboot faimond fai-cd fai setup_harddisks faireboot fai-statoverride setup-storage

USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl faimond-gui

# do not include .svn dir and setup-storage subdir
libfiles=$(patsubst lib/setup-storage,,$(wildcard lib/[a-z]*))

all:
	$(MAKE) -C doc all

clean:
	find -name svn-commit\*.tmp -o -name svn-commit.tmp~ | xargs -r rm
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install: 
	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,dhcp3,apt/apt.conf.d}
	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt
	mkdir -p $(DESTDIR)/etc/init.d $(DESTDIR)/usr/share/fai/{pixmaps,setup-storage}
	install man/* $(DESTDIR)/man
	$(MAKE) -C doc install
	-install $(libfiles) $(LIBDIR)
	install lib/setup-storage/* $(SHAREDIR)/setup-storage
	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	install bin/fai-start-stop-daemon $(DESTDIR)/sbin
	install bin/dhclient-fai-script  $(DESTDIR)/etc/dhcp3
	install -m644 conf/dhclient-fai.conf $(DESTDIR)/etc/dhcp3
	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
	install -m644 conf/fai.conf conf/menu.lst $(DESTDIR)/etc/fai/
	install -m644 conf/make-fai-nfsroot.conf $(DESTDIR)/etc/fai/
	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
	install -m644 conf/fai_modules_off $(DESTDIR)/etc/modutils
	install -m755 lib/fai-abort $(DESTDIR)/etc/init.d
	install -p -m644 pixmaps/*.gif $(DESTDIR)/usr/share/fai/pixmaps
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
	cp -a examples $(DOCDIR)
	cp -a utils $(DOCDIR)/examples

.PHONY: clean veryclean

=== doc/Makefile ===
docname = fai-guide
fdocname = $(docname).sgml
MISC_DOC = classes_description.txt links.html changelog.old

%.html: %.sgml
	debiandoc2html $<

%.pdf: %.sgml
	debiandoc2latexpdf $<

%.ps: %.sgml
	debiandoc2latexps $<

%.txt: %.sgml
	debiandoc2text $<

postscript: fai-guide.ps

pdf: fai-guide.pdf

html: fai-guide.html

dvi: test
	debiandoc2latexdvi $(fdocname)

text: fai-guide.txt

test:
	nsgmls -wall -E20 -gues $(fdocname)

clean:
	rm -rf $(docname).txt $(docname).dvi $(docname).pdf $(docname).html $(docname).sasp* *~ $(docname).texinfo $(docname).ps $(docname).out $(docname).tpt $(docname).tex
	rm -f body.tmp head.tmp thb*.png *.log

print: dvi
	dvips -f $(docname) | lpr

install:
	rm -f $(docname).tpt $(docname).out
	cp -dRp $(docname)* $(DOCDIR)
	cp -p $(MISC_DOC) $(DOCDIR)

all: test pdf text html postscript

.PHONY: all dvi text html pdf test clean print postscript

=== debian/changelog ===
fai (3.2.17~lenny1) stable-proposed-updates; urgency=medium

  * fai 3.2.17 and 3.2.17~lenny1 are identical - the difference in version 
    number is only due to the way packages move within Debian releases.
  * Added myself to uploaders.
  * Fix typo in fai-do-scripts which prevented perl scripts to be executed, 
    thanks to Andrew Ruthven for reporting this. (Closes: #504662)
  * setup-storage/Parser.pm: Do not enforce a space after VG/LV names in
    resize/preserve options. Thanks to Frederic Blanc for the patch.
    (closes: #516849)
  * fai-mirror: honor $debug and $qflag environment variables, thanks to 
    Michael Tautschnig. (Closes: #494431)
  * device2grub: Add /dev/i2o/hdX  to the list of recognized devices. Thanks
    to Jürgen Kahnert for the patch. (Closes: #515101)

 -- Holger Levsen <holger@debian.org>  Wed, 25 Feb 2009 12:26:19 +0100

fai (3.2.16) unstable; urgency=high

  [ Thomas Lange ]
  * fai: fix RC bug, missing umount (closes: #511391)
  * README: year++
  * prcopyleft: year++

  [ Colin Tuckley ]
  * fixed spelling mistakes in faimond.8, faimond-gui.1

 -- Thomas Lange <lange@debian.org>  Mon, 12 Jan 2009 13:12:26 +0100

fai (3.2.15) unstable; urgency=low

  [ Thomas Lange ]
  * fai-server.manpages: faimond-gui.1 was not included into the package
  * fix typos in mkdebmirror, NEWS, classes_description.txt, fai-mirror,
    fai-cd.8, fai-guide.sgml
  * lib/subroutines: check *.var files if they are readable
  * bootexample.sgml: fix typo
  * dhcpd.conf/FAISERVER: fix wrong path in example
  * links.html: fix typo (closes: #508598)
  * fai-guide.sgml: fix package name in documentation (closes: #504797)
  * get-boot-info: fix wrong test parameter (closes: #509090)
  * setup-storage: increase version number
  
  [ Colin Tuckley ]
  * fixed spelling mistakes in fai-do-scripts.1, fai-mirror.1
  
  [ Sebastian Harl ]
  * fai-guide.sgml: fix several typos, mention Git, use $FAI instead of
    /fai (closes: #507129)
  
  [ Michael Tautschnig ]
  * Commands.pm: Print an informational message whenever a volume or
    partition is preserved or resized (closes: #508893)
  
 -- Thomas Lange <lange@debian.org>  Mon, 22 Dec 2008 14:51:54 +0100

fai (3.2.14) unstable; urgency=low

  * fai-guide.sgml: document behaviour of LOGSERVER (closes: #361524)
  * install_packages: fix usage of option -n (closes: #489546)
  * setup-storage, Commands.pm, Exec.pm: Call udevsettle before doing any
    of the commands to avoid all the possible pitfalls, simplyfies the
    code quite a bit. (closes: #503729)

 -- Thomas Lange <lange@debian.org>  Tue, 28 Oct 2008 10:32:20 +0100

fai (3.2.13) unstable; urgency=low

  * lib/setup-storage/Commands.pm: fixed dependency error in vgcreate
    commands (closes: #502462)
  * fcopy: fix ordering of classes (closes: #502975)

 -- Thomas Lange <lange@debian.org>  Wed, 22 Oct 2008 12:14:51 +0200

fai (3.2.12) unstable; urgency=low

  * setup-storage/Parser.pm, setup-storage/Sizes.pm: Warn, if a
    preserved partition does not match the size specified in the
    disk_config; fail, if an extended partition is to be created in place
    of a to-be-preserved partition (closes: #501772)
  * setup-storage/Exec.pm: recent versions of parted log errors to
    stdout instead of stderr + adaption of error messages to current ones
    (closes: #500823)
  * setup-storage/Volumes.pm: Handle new error message in case of
    missing disk label (closes: #500823)
  * setup-storage: extended debug output of sorted commands
    (closes: #500822)
  * setup-storage/Commands.pm: Properly sort commands, fixed dependency
    errors, use start_byte for new config instead of begin_byte
    (closes: #500822)
  * setup-storage: increase version number
  * make-fai-nfsroot: print version of debootstrap (closes: #500046)
  * fai-guide.sgml: minor update in example
  * fai-chboot.8: fix warning from man

 -- Thomas Lange <lange@debian.org>  Wed, 15 Oct 2008 11:25:39 +0200

fai (3.2.11) unstable; urgency=low

  * control: depend on syslinux-common instead of syslinux (closes: #494417)
    use same intro for description for all packages,
    add dependeny and recommends on openbsd-inetd | inet-superserver as
    workaround for #404760
  * fai-chboot.8, fai-cd.8, ainsl.1, fai.8, fai-class.8: apply patches
    from Colin Tuckley
  * THANKS: add Colin
  * fai-chboot.8: add example for using templates, add link to pxelinux
    documentation
  * fai-cd.8: remove unused info
  * fai-mirror.1: add information about files used by this script
  * faimond.8: minor fixes
  * install_packages.8: minor fixes
  * make-fai-nfsroot.8: minor fixes
  * fai-debconf.1: minor fixes
  * setup-storage.8: replace mdoc macro version with man macro version,
    reformat examples using tab stops, make groff happy
  * fai-guide.sgml: remove info about make-fai-bootfloppy, add info about
    kernel parameters
  * faisetup.sgml: update messages
  * bootexample.sgml: update example messages
  * mkdebmirror: remove obsolete code for fetching boot floppy images

 -- Thomas Lange <lange@debian.org>  Wed, 01 Oct 2008 14:20:45 +0200

fai (3.2.10) unstable; urgency=low

  * add texlive-latex-recommended and texlive-fonts-recommended to
    build-depends-indep which fixes FTBFS (closes: #497683),
    add cfengine2 as recommends to fai-client (closes: #442843),
    remove mknbi from fai-docs recommends
  * Init.pm: really add important bugfix (494784) that was only fixed in svn 
    but not in 3.2.9 upload (closes: #494784), fix typo in variable name
  * Volume.pm: ignore output line of parted containing "Model:"
    (closes: #497066) 
  * disk-info: fix bashism (closes: #498023),
    add pattern for KVM devices like /dev/vd[abcd]X (closes: #494426)
  * Makefile,VERSION: remove variable KERNELVERSION, because it's unused since
    3.2 (closes: #494699)
  * fai-cd: do not redirect stderr to /dev/null when calling find_fai_data,
    otherwise we do not get any errors when the grub call fails


=== debian/control ===
Source: fai
Section: admin
Priority: extra
Maintainer: Thomas Lange <lange@debian.org>
Uploaders: Holger Levsen <holger@debian.org>
Standards-Version: 3.8.0
Build-Depends-Indep: debiandoc-sgml, texlive-base-bin, texlive-latex-extra, texlive-fonts-recommended, texlive-latex-recommended
Build-Depends: debhelper (>= 4.1.16)
Vcs-Svn: svn://svn.debian.org/svn/fai/trunk
Vcs-Browser: http://svn.debian.org/wsvn/fai
Homepage: http://www.informatik.uni-koeln.de/fai

Package: fai-client
Architecture: all
Section: admin
Depends: perl, file, libapt-pkg-perl, libparse-recdescent-perl
Recommends: debconf-utils, cfengine2
Suggests: ntfsprogs, dmsetup, cryptsetup
Conflicts: fai, fai-kernels
Replaces: fai
Homepage: http://www.informatik.uni-koeln.de/fai
Description: Fully Automatic Installation client package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the client package for FAI. It contains the parts necessary
 to run the softupdate functionality on already installed systems, and
 is needed for the dirinstall functionality and others on a FAI server.

Package: fai-doc
Architecture: all
Section: doc
Conflicts: fai
Homepage: http://www.informatik.uni-koeln.de/fai
Description: Documentation for FAI
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This is the documentation for FAI in various formats.

Package: fai-server
Architecture: all
Section: admin
Depends: fai-client, debootstrap
Recommends: nfs-kernel-server, dhcp3-server | bootp, tftpd-hpa | tftpd, openssh-server, openssh-client, syslinux-common, openbsd-inetd | inet-superserver
Suggests: debmirror, apt-move, genisoimage, grub, aptitude, perl-tk, libproc-daemon-perl
Conflicts: fai
Replaces: fai
Homepage: http://www.informatik.uni-koeln.de/fai
Description: Fully Automatic Installation server package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 It's a tool for mass unattended Linux installation. You can take one
 or more virgin systems, turn on the power, and after a few minutes,
 the systems are installed, and completely configured to your exact
 needs, without any interaction necessary.
 .
 This package is needed for setting up a FAI install server for network
 installations, for running the dirinstall in a chroot environment, and
 to build installation CD/DVD's and USB sticks.

Package: fai-quickstart
Architecture: all
Section: admin
Depends: fai-server, fai-doc, dhcp3-server, nfs-kernel-server, syslinux-common, tftpd-hpa, apt-move, genisoimage, openbsd-inetd | inet-superserver
Homepage: http://www.informatik.uni-koeln.de/fai
Description: Fully Automatic Installation quickstart package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 This package setups an install server with some basic
 examples. It should be removed when creating your own config space. 

Package: fai-nfsroot
Architecture: all
Section: admin
Depends: fai-client, live-initramfs
Conflicts: fai, fai-kernels
Homepage: http://www.informatik.uni-koeln.de/fai
Description: Fully Automatic Installation nfsroot package
 FAI is a non-interactive system to install, customize and manage
 Linux systems and software configurations on computers as well as
 virtual machines and chroot environments, from small networks to
 large infrastructures and clusters.
 .
 This package contains the software that is only needed in
 the FAI nfsroot. Do not install this package on a normal machine.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/tmp
DOCDIR=`pwd`/debian/fai-doc/usr/share/doc/fai-doc

# we never want CVS and subversion files in our packages
export DH_ALWAYS_EXCLUDE=CVS:.svn

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include VERSION

build: build-stamp
build-stamp:
	dh_testdir

# Add here commands to compile the package.
	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp
# Add here commands to clean up after the build process.
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
# Add here commands to install the package into debian/fai.
	$(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs -Nfai-server -Nfai-quickstart
#	dh_installexamples
#	dh_installmenu
	dh_installman
	dh_install --sourcedir=debian/tmp
#	dh_installinfo
	dh_link
	dh_installchangelogs 
	dh_compress -Xexamples -X.pdf
	dh_fixperms -X make-fai-nfsroot.conf
	chmod a+rx ${DOCDIR}/examples/*/class/[0-9][0-9]*
	chmod -R a+rx ${DOCDIR}/examples/*/scripts/*
	chmod a+rx ${DOCDIR}/examples/*/hooks/*
	find ${DOCDIR}/examples/*/files -name postinst | xargs chmod a+x
	chmod a+rx ${DOCDIR}/examples/utils/*
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(shell pwd)/debian/fai-client/usr/share/doc/fai-client/README
	cp `pwd`/debian/fai-quickstart.lintian $(shell pwd)/debian/fai-quickstart/usr/share/lintian/overrides/fai-quickstart
# You may want to make some executables suid here.
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fai 3.4.3ubuntu1

=== doc/Makefile ===
#!/bin/make -s

DOC = fai-guide
MISC_DOC = classes_description.txt links.html changelog.old

free:	text html ps pdf
#	echo "`grep -c FIXME $(DOC).txt` FIXMEs left to fix:"
#	grep FIXME $(DOC).txt

html:
	a2x --icons-dir=.a2x-icons --icons --copy --asciidoc-opt="-a toc -a toclevels=3" -f xhtml $(DOC).txt

chunked:
	a2x --icons-dir=.a2x-icons --icons --copy --asciidoc-opt="-a toc -a toclevels=3" -f chunked $(DOC).txt

pdf:	
	a2x --icons -a toc -a toclevels=3 -f pdf $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

ps:	
	a2x --icons -a toc -a toclevels=3 -f ps $(DOC).txt
	rm -f $(DOC).xml $(DOC).fo

# a2x uses lynx, maybe use w3m instead
# which texwidth for text output?
# asciidoc --doctype=article  -a "toc" -a "toclevels=3" -f /etc/asciidoc/text.conf -b html4 -o - "f-guide.txt" | lynx -dump -stdin >"./f-guide.text"
text:	
	a2x --icons -a toc -a toclevels=3 -f text $(DOC).txt

# for openoffice
doc:	html
	unoconv --show >/dev/null 2>&1 || exit "Please install the unoconv package." 
	unoconv -f doc $(DOC).html

all:	free

install:
	cp -dRp $(DOC)* $(DOCDIR)
	cp -p $(MISC_DOC) $(DOCDIR)

clean: 
	rm -rf .a2x-icons
	rm -f $(DOC).text $(DOC).html $(DOC).doc $(DOC).pdf $(DOC).xml $(DOC).ps docbook-xsl.css

test:
	asciidoc --version > /dev/null 2>&1 || exit "Please install the asciidoc package." 


.PHONY: all test clean

=== debian/changelog ===
fai (3.4.3ubuntu1) maverick; urgency=low

  * Bugfix release (LP: #655189)

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 05 Oct 2010 15:18:01 +0000

fai (3.4.3) unstable; urgency=low

  [ Thomas Lange ]
  * [01730b1] add Julien to THANKS file
  * [8fd3b92] raise importance of libproc-daemon-perl to Recommends
    (Closes: #593089)
  * [4d2967c] remove netmask from IP address (Closes: #597870)
  * [c6371e9] remove unused code (Closes: #596055)
  * Documentation related changes:
    - [c3d74dc] fix url of solaris/auto-install
    - [a34bb05] new domain name for the project (fai-project.org)
    - [f7a8ae1] fix homepage url
    - [a392628] fix link and date in QUESTIONNAIRE
    - [7986692] new date in fai-guide.txt
    - [827b6db] add more detailed list of tasks

  [ Michael Tautschnig ]
  * [cc508b6] setup-storage/Fstab.pm: Don't resolve LVM devices via
    readlink (thanks Brian Kroth for suggesting a similar patch).
    (Closes: #597238)
  * [ccad800] Fixed a whitespace/table alignment issue.
  * [9728758] Clarify error message in case of invalid use of swap/luks
    in disk_config

  [ Julien BLACHE ]
  * [8b1abdc] Fix preserve for RAID
  * [79f10a1] Rework mdadm output parsing code to make it more tolerant
    to changes in the output format

 -- Michael Prokop <mika@debian.org>  Tue, 05 Oct 2010 02:46:32 +0200

fai (3.4.2) unstable; urgency=low

  [ Michael Prokop ]
  * [5da742c] bin/make-fai-nfsroot: change check for /usr/share/live-
    initramfs to /usr/share/initramfs-tools/scripts/live
    (Closes: #595365)

 -- Michael Prokop <mika@debian.org>  Wed, 15 Sep 2010 22:23:51 +0200

fai (3.4.1) unstable; urgency=low

  [ Michael Tautschnig ]
  * [d055788] Enforce execution of mdadm --create only after all
    partition table manipulations.

 -- Michael Prokop <mika@debian.org>  Fri, 27 Aug 2010 13:25:52 +0200

fai (3.4.0) unstable; urgency=low

  The "FAI in New York at DebConf10" Release.

  [ Thomas Lange ]
  * [23c9130] make-fai-nfsroot: fix typo
  * [66a6491] year++
  * [63b89bd] add comment to lib/subroutines regarding /dev mount
  * [29381ac] mkramdisk: use exit in main routine (closes: #583289)
  * [f10e41a] ainsl: exit with 0 if line already exists in the file
  * [2fba437] sources.list: fix security.geo.debian.org domain entries
  * [b4301ee] install_packages: fix typo in warn message
  * [cc5fff4] make-fai-nfsroot, make-fai-nfsroot.8: add option -B,
    (closes: #576092) (thanks to Mika Prokop for the patch)
  * [c29d0f9] disk-info: rename subroutine
  * [d92d340] remove leading space in debian/control long description
  * [23ffbe6] remove unneeded else for extracting base.tgz
  * [ab0ca37] dhcp-edit: new command that adds or removes entries
    to/from dhcpd.conf
  * [e3c99bc] control: change dependencies on fai-setup-storage
  * [ee748e9] fai-chboot,fai-chboot.8: add option -P
  * [3fc2e78] setup-storage.8: add info about flag_initial
  * [84a3c16] doc/error-levels: describe error levels of task_error
    subroutine
  * [52d0c1d] make-fai-nfsroot: remove etc/hostname and 70-persistent-
    net.rules from nfsroot and base.tgz (thanks to Manuel Hachtkemper
    for the patch)
  * [ed3e77f] subroutines: do not dump bash array variables
  * [265475d] add different implementation for dumping variables, thanks
    to Andreas Schuldei
  * [61044db] add $modified, add more messages, fix code for adding a
    host
  * [433dc9f] make-fai-nfsroot: fix typo, remove redundant rm command
  * [dda0071] put ROOTPW into quotes, so empty password will work
    (thanks to Adrien Cunin for the patch)
  * [c043d96] 10-misc, subroutines: move adding /etc/hosts entry from
    task_prepareapt
  * [dc71219] fai-do-scripts: add cfengine 3 support
  * [0752918] savelog.LAST: ignore ACPI Warning
  * [6612e23] task_sysinfo: remove call of sysinfo (non open source
    software), check if blkid exists before calling it
  * [9350d55] ftar, ftar.8: add xz support
  * [0af7676] fcopy, fai-cd, fai-do-scripts, ftar, fai-debconf, dhcp-
    edit, fai-class, install_packages, ainsl, fai-mirror, fai-chboot:
    remove version information, remove e-mail address for bugs
  * [1dddb1b] fai-cd: add grub2 support (thanks to Sebastian Hetze for
    the patch)
  * [035f6cb] fai-cd: remove grub test which is already done before
  * [5648a55] fai-cd.8: add option -G
  * [f848790] fcopy: do not copy file if preinst script fails
    (closes: #573044) thanks to Andreas Schuldei for the patch
  * [89d2d14] - mkramdisks: add option -a, remove use of FAI_NORAMDISK,
                use FAI_RAMDISKS
              - subroutines: adjust to new option of mkramdisks
  * [4f1170b] fix typo (in changelog)
  * [0840cce] subroutines: new subroutine umount_csspace, so it can be
    used in user hooks (thanks to Waldemar for the patch)
  * [6769f42] fai-guide.txt: add info how to generate the encrypted
    password
  * [e486952] control: update to new standards version
  * [530f72a] fai-cd: add checks if package download succeeded
  * [60fef62] fai-cd.8: add option -G
  * [654d771] grub.cfg, Makefile: add missing grub.cfg to package
  * [604e894] fai-server.install: add missing grub.cfg
  * [0c0c21a] fai-cd: fix, use grub.cfg for grub2
  * [e752bb5] fai-mirror, fai-mirror.8: add option -m
  * [4470a12] disk_config: use UUID's in fstab
  * [763e15b] make-fai-nfsroot: force creating of symlinks
    (closes: #588009)
  * [8c5ad04] - fai-mirror: use $mirrordir if no argument given
                (closes: #428597)
              - get-config-dir-svn: use exit code of first command of
                pipe (closes: #557544)
  * [09351aa] fai-mirror: use $mirrordir if no argument given
    (closes: #428597)
  * [63b4678] fix line break, so normal text line does not start with a
    dot
  * [9560a33] get-config-dir: change error message
  * [b503fa6] savelog.LAST: add ignore pattern
  * [6f2b222] savelog.LAST: add ignore pattern
  * [7e5037d] new setup-fai-test-environment script create two virtual
    machines for testing



=== debian/control ===
--- 
+++ 
@@ -2,23 +2,20 @@
 Section: admin
 Priority: extra
 Maintainer: Thomas Lange <lange@debian.org>
-Uploaders: Holger Levsen <holger@debian.org>
-Standards-Version: 3.8.0
-Build-Depends-Indep: debiandoc-sgml, texlive-base-bin, texlive-latex-extra, texlive-fonts-recommended, texlive-latex-recommended
-Build-Depends: debhelper (>= 4.1.16)
+Uploaders: Holger Levsen <holger@debian.org>, Michael Prokop <mika@debian.org>
+Standards-Version: 3.9.1.0
+Build-Depends-Indep: asciidoc, asciidoc (>= 8.3) | lynx, w3m, dblatex, docbook-xsl, libxml2-utils
+Build-Depends: debhelper (>= 7)
 Vcs-Svn: svn://svn.debian.org/svn/fai/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/fai
-Homepage: http://www.informatik.uni-koeln.de/fai
+Homepage: http://fai-project.org
 
 Package: fai-client
 Architecture: all
-Section: admin
-Depends: perl, file, libapt-pkg-perl, libparse-recdescent-perl
+Depends: perl, file, libapt-pkg-perl, iproute
 Recommends: debconf-utils, cfengine2
-Suggests: ntfsprogs, dmsetup, cryptsetup
 Conflicts: fai, fai-kernels
 Replaces: fai
-Homepage: http://www.informatik.uni-koeln.de/fai
 Description: Fully Automatic Installation client package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -33,7 +30,6 @@
 Architecture: all
 Section: doc
 Conflicts: fai
-Homepage: http://www.informatik.uni-koeln.de/fai
 Description: Documentation for FAI
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -44,13 +40,11 @@
 
 Package: fai-server
 Architecture: all
-Section: admin
 Depends: fai-client, debootstrap
-Recommends: nfs-kernel-server, dhcp3-server | bootp, tftpd-hpa | tftpd, openssh-server, openssh-client, syslinux-common, openbsd-inetd | inet-superserver
-Suggests: debmirror, apt-move, genisoimage, grub, aptitude, perl-tk, libproc-daemon-perl
+Recommends: nfs-kernel-server, isc-dhcp-server | dhcp3-server, tftpd-hpa | tftpd, openssh-server, openssh-client, syslinux | syslinux-common, openbsd-inetd | inet-superserver, fai-setup-storage, libproc-daemon-perl
+Suggests: debmirror, apt-move, genisoimage, grub, aptitude, perl-tk
 Conflicts: fai
 Replaces: fai
-Homepage: http://www.informatik.uni-koeln.de/fai
 Description: Fully Automatic Installation server package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -68,9 +62,7 @@
 
 Package: fai-quickstart
 Architecture: all
-Section: admin
-Depends: fai-server, fai-doc, dhcp3-server, nfs-kernel-server, syslinux-common, tftpd-hpa, apt-move, genisoimage, openbsd-inetd | inet-superserver
-Homepage: http://www.informatik.uni-koeln.de/fai
+Depends: fai-server, fai-doc, isc-dhcp-server | dhcp3-server, nfs-kernel-server, syslinux | syslinux-common, tftpd-hpa, apt-move, genisoimage, openbsd-inetd | inet-superserver
 Description: Fully Automatic Installation quickstart package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -81,10 +73,8 @@
 
 Package: fai-nfsroot
 Architecture: all
-Section: admin
-Depends: fai-client, live-initramfs
+Depends: fai-client, live-initramfs, fai-setup-storage
 Conflicts: fai, fai-kernels
-Homepage: http://www.informatik.uni-koeln.de/fai
 Description: Fully Automatic Installation nfsroot package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -93,3 +83,21 @@
  .
  This package contains the software that is only needed in
  the FAI nfsroot. Do not install this package on a normal machine.
+
+Package: fai-setup-storage
+Architecture: all
+Depends: perl, libparse-recdescent-perl, liblinux-lvm-perl, parted
+Recommends: lvm2, mdadm
+Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfsprogs, reiserfsprogs, xfsprogs
+Conflicts: fai-client (<< 3.4~)
+Description: automatically prepare storage devices
+ Using FAI disk_config files, setup-storage computes effective
+ partition and volume sizes and executes the necessary commands
+ to configure storage devices. It manages disk drives as well
+ as RAID and LVM volumes. It handles all file systems supported
+ by parted(8) as well as ntfs but is flexible enough to be
+ extended to further types as well. Once the storage devices
+ are prepared, an appropriate fstab(5) file is generated.
+ .
+ This package provides the setup-storage utility as separate
+ package so it can be used independent from FAI as well.

## fai 3.4.7

=== debian/changelog ===
fai (3.4.7) unstable; urgency=low

  [ Michael Tautschnig ]
  * [d2708f9] setup-storage/Commands.pm: Rebuild partition table only
    once, unless necessary (Closes: #607901) - thanks to Toomas Tamm
    <tt-fai@kky.ttu.ee>

 -- Michael Prokop <mika@debian.org>  Fri, 24 Dec 2010 09:47:43 +0100

fai (3.4.6) unstable; urgency=low

  [ Thomas Lange ]
  * [370cf6a] print message to stderr (closes: #605947)

  [ Michael Tautschnig ]
  * [ae1e965] setup-storage/{Fstab.pm,Parser.pm}: Cleanup code for
    defining BOOT_DEVICE; setup-storage.8: Properly document
    semantics of BOOT_DEVICE and disk_var.sh - thanks to
    Julien Blache <jblache@debian.org>
  * [a7130ae] simple/scripts/GRUB_PC/10-setup: No need to deal with
    multiple devices anymore, BOOT_DEVICE will always a be single value
    - thanks to alekibango, David Dreezer
  * [4ff0276] setup-storage/Commands.pm: Use proper dependencies when
    entire disks are used as part of a RAID or LVM volume - thanks
    to Peter Kruse
  * [6b2956f] setup-storage/Commands.pm: Always run vgchange -a -n, even
    if no prior LVM was detected; run pvcreate with -ff -y.
    (closes: #606485) - thanks to Mathieu Alorent <malorent@echo.fr>
  * [20e21b3] setup-storage/Commands.pm: Fix dependencies between disk
    and LVM commands. (closes: #606113) - thanks to Mathieu Alorent
    <malorent@echo.fr>, Nicolas Courtel <courtel@cena.fr>

  [ Michael Prokop ]
  * [691bc38] task_mountdisks(): catch every exit code != 0 from mount2dir.

 -- Michael Prokop <mika@grml.org>  Thu, 23 Dec 2010 12:04:36 +0100

fai (3.4.5) unstable; urgency=low

  [ Michael Prokop ]
  * [0e587c4] conf/NFSROOT: provide commented (and not activated) linux-
    image line for lenny - thanks to Thomas Lange
  * [530261d] conf/sources.list: replace lenny with squeeze - thanks to
    Thomas Lange
  * [d59d35f] fai-nfsroot.postrm: use rm with -f to not fail if
    /etc/init.d/rcS does not exist - thanks to Holger for the report
  * [10a5626] simple examples: move from apt-proxy to approx - thanks
    to Thomas Lange (closes: #602763)
  * [305bb81] NFSROOT: move commented lenny package examples to
    according place - thanks to Thomas Lange
  * [b7eb5c4] Adjust depends/recommends regarding tftp server
    (closes: #603565)

  [ Thomas Lange ]
  * [df7e592] use hostname= from the kernel command line
    (closes: #601750)
  * [7dcb45f] only use interfaces that are up (closes: #600591)
  * [039a7f0] print message to stdout (closes: #600715)
  * [e7376be] fai-cd.8: add missing verb
  * [6ec9f0a] FAI questionnaire: ask for logo
  * [326bd14] create directories, set additional parameters
    (closes: #602498)
  * [a955bf8] FAI questionnaire: exclude basefiles in du(1) command
  * [7beb0d0] write MBR when using grub2 (closes: #597479)
  * [d54f816] remove some packages to make fai-cd smaller
  * [d93bfc5] remove part of how to enable PXE on 3com. This info was
    move into the wiki
  * [cc2e198] add hint about ADDCLASSES
  * [62d45e7] add newline, makes shell.log much more readable
  * [72acf49] do not include /boot on CD
  * [66cad6f] do not install grub always into (hd0) (closes: #604938)

  [ Julien BLACHE ]
  * [d970926] Unbreak tmpfs support

  [ Michael Tautschnig ]
  * [fa1a816] setup-storage/Volumes.pm: Included parted output line if
    parsing parted output fails.
  * [0cca9d8] install grub into all raid devices. (closes: #604938)

 -- Michael Prokop <mika@debian.org>  Tue, 30 Nov 2010 12:10:42 +0100

fai (3.4.4) unstable; urgency=low

  [ Michael Prokop ]
  * [2fb9524] doc/lenny-instructions.txt: provide instructions how to
    install Debian/lenny with 3.4.x releases - thanks to Thomas Lange
  * [152d969] debian/NEWS: provide information regarding lenny release,
    /bin/dash issue and new FAI URL http://fai-project.org/
  * [ed8b4a3] README: replace lenny with squeeze
  * [ed12cc3] fai: re-add support for hostname=... bootoption when using
    live-config - thanks to Karl Wallner <fai@karlwallner.de>
  * [046af3c] man/fai-class.1: replace dpkg --print-installation-
    architecture with --print-architecture - thanks to Michael Log
    <mmlogin@gmail.com>
  * [7cf136b] bin/install_packages: mention import variables $aptoptions
    and $FAI_DEBSOURCESDIR - thanks to Michael Log <mmlogin@gmail.com>
  * [f90ec20] bin/fai-cd: fix quote handling of rsync check - thanks to
    Michael Log <mmlogin@gmail.com>

  [ Thomas Lange ]
  * [12714de] reinclude code which is needed (closes: #599305)

  [ Michael Tautschnig ]
  * [f65f489] fai, make-fai-nfsroot: Use df -P for guaranteed one-line-
    is-one-mount output - thanks to Michael Log <mmlogin@gmail.com>
  * [84ac5c4] examples/simple/disk_config/FAIBASE: Added bootable:1,
    which is still necessary on some systems - thanks to
    Maximiliano Curia <maxy@gnuservers.com.ar> for reporting
  * [2dbf3c5] fai-guide.txt: Improved documentation of hooks - thanks
    to Peter Bittner <peter.bittner@thalesgroup.com>
  * [cc694c8] install_packages: Fix dpkg hold output - thanks to
    Michael Log <mmlogin@gmail.com>
  * [1d02322] setup-storage/Commands.pm: Quote fs argument in parted
    mkpart calls - thanks to Peter Kruse <pk@q-leap.de>

 -- Michael Prokop <mika@debian.org>  Fri, 15 Oct 2010 10:49:10 +0200

## fai 3.4.7ubuntu2

=== debian/changelog ===
fai (3.4.7ubuntu2) natty; urgency=low

  * Changes for Ubuntu:
    + /etc/fai/make-fai-nfsroot.conf:
      - add "--include=aptitude" to FAI_DEBOOTSTRAP_OPTS because
        aptitude changed from Priority: important to optional,
        therefore debootstrap won't install it by default anymore.
        (LP: #714570)
      - add "dhcp-client" to "--exclude" options for FAI_DEBOOTSTRAP_OPTS
    + bin/fai-cd:
      - Fixed missing grub-common package (LP: #710311)

 -- Stephan Adig <sh@sourcecode.de>  Tue, 08 Feb 2011 07:05:15 +0000

fai (3.4.7ubuntu1) natty; urgency=low

  * New upstream version
  * Changes for Ubuntu:
    + conf/NFSROOT: 
      - replacing linux-image-* with linux-image
      - removed hwinfo
      - added console-setup
    + exmaples/simple/scripts/GRUB_PC/10-setup:
      - added command to regenerate grub.cfg

 -- Stephan Adig <sh@sourcecode.de>  Wed, 19 Jan 2011 07:55:35 +0000

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 Package: fai-server
 Architecture: all
 Depends: fai-client, debootstrap
-Recommends: nfs-kernel-server, isc-dhcp-server | dhcp3-server, tftpd-hpa | tftpd, openssh-server, openssh-client, syslinux | syslinux-common, openbsd-inetd | inet-superserver, fai-setup-storage, libproc-daemon-perl
+Recommends: nfs-kernel-server, isc-dhcp-server | dhcp3-server, tftpd-hpa | atftpd, openssh-server, openssh-client, syslinux-common, openbsd-inetd | inet-superserver, fai-setup-storage, libproc-daemon-perl
 Suggests: debmirror, apt-move, genisoimage, grub, aptitude, perl-tk
 Conflicts: fai
 Replaces: fai
@@ -62,7 +62,7 @@
 
 Package: fai-quickstart
 Architecture: all
-Depends: fai-server, fai-doc, isc-dhcp-server | dhcp3-server, nfs-kernel-server, syslinux | syslinux-common, tftpd-hpa, apt-move, genisoimage, openbsd-inetd | inet-superserver
+Depends: fai-server, fai-doc, isc-dhcp-server | dhcp3-server, nfs-kernel-server, syslinux-common, tftpd-hpa | atftpd, apt-move, genisoimage, openbsd-inetd | inet-superserver
 Description: Fully Automatic Installation quickstart package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as
@@ -73,7 +73,7 @@
 
 Package: fai-nfsroot
 Architecture: all
-Depends: fai-client, live-initramfs, fai-setup-storage
+Depends: fai-client, live-boot|live-initramfs, fai-setup-storage
 Conflicts: fai, fai-kernels
 Description: Fully Automatic Installation nfsroot package
  FAI is a non-interactive system to install, customize and manage

## fai 3.4.8

=== debian/changelog ===
fai (3.4.8) unstable; urgency=low

  [ Michael Goetze ]
  * [eeae848] package_config/FAISERVER: remove mkisofs
  * [af1d1de] simple-examples: in squeeze, the GRUB 1 package is called
    "grub-legacy".
  * [f895526] Document http method for $FAI_CONFIG_SRC in fai-guide
  * [f3574fb] Use $ROOTCMD grub-install for grub1
  * [248edd7] menu.lst/postinst: Use grub device name for $ROOTCMD grub-
    install
  * [b264ac0] Make device2grub use grub-mkdevicemap rather than stuff in
    target

  [ Michael Prokop ]
  * [cffdba6] debian/changelog: update git commit IDs - thanks to
    Michael Tautschnig for helping
  * [81085f7] bin/fai-do-scripts: also ignore files with suffix .dpkg-
    dist and .dpkg-tmp
  * [8893351] FAIBASE/30-interface: bugfix so fai softupdate runs
    without error on a fresh installation with simple-examples -
    backported patch by Michael Goetze
  * [07b42af] fai-guide: adjusting quoting of variables like
    FAI_CONFIG_SRC for proper output
  * [8e201f9] Move get-config-dir-http to according space for stable-
    branch.
  * [a9c1065] Remove 99-discover-bug script, deprecated since lenny.
  * [e21417e] Bump Standards-Version to 3.9.2.

  [ Michael Tautschnig ]
  * [b261425] setup-storage/Sizes.pm: Properly handle extended
    partitions that aren't the last primary partition.
  * [d939b6d] setup-storage/Sizes.pm: gpt-bios must be sector-wise first
    partition.
  * [cf1d068] setup-storage, setup-storage/Parser.pm: sanity checks.
  * [e014096] setup-storage.8: Clarify that partition/volume sizes are
    integers.
  * [a801de8] setup-storage/{Parser,Volumes,Init}.pm: Improved error
    reporting. (Closes: #617720, #611728) - thanks to Toomas Tamm
  * [7715da4] setup-storage, setup-storage/{Volumes,Commands,Exec,
    Init,Parser}.pm: Software RAID bugfixes
  * [282e36a] setup-storage/{Parser,Commands}.pm: Make on-disk LV order
    consistent with disk_config
  * [01002aa] setup-storage: Revert incomplete $FAI::DATADIR use to
    $ENV{LOGDIR}
  * [01865ee] make-fai-nfsroot: Remove Ubuntu-specific
    lib/udev/rules.d/85-lvm2.rules to avoid LVM auto-start
  * [bbfb13b] setup-storage/Sizes.pm: Make 100% a valid partition size.
    (Closes: #619136)
  * [6e47075] setup-storage/Parser.pm: Support k and K for kilobytes
  * [bdfc127] setup-storage: Added align-at option for user-defined
    alignment - thanks to Mathieu Alorent
  * [37b2520] setup-storage/Parser.pm: Fixed mis-merge of align-at
    parsing and made it more robust.
  * [d9f96fe] setup-storage/Sizes.pm: Apply alignment constraints to start
    of first partition.
  * [1a904b3] setup-storage/Parser.pm: Finally fix align-at parser bug.
  * [cee3610] setup-storage.8: Document alignment strategy of setup-storage.
  * [91ab2d0] get-config-dir-svn: really fix broken SVN URL comparison
  * [2b7475d] get-config-dir-svn: Fix broken-pipe error in SVN URL check

  [ Thomas Lange ]
  * [d7099c5] add initramfs-tools, workaround for fai-mirror problem
  * [012e755] diverting nis not needed any more, tested with lenny and
    squeeze (Closes: #612481)
  * [225c726] use new command names for cdrecord and mkisofs
    (Closes: #609568)
  * [a8b5849] get-config-dir-http: new script to get a tarball of the
    config space - thanks to Waldemar Brodkorb for the initial patch
  * [bf6b52d] fix comment in get-config-dir-http
  * [b196fb4] get-config-dir-http: minor change in messages
  * [4a8422a] fix wrong file name for memtest boot option
    (Closes: #620798)
  * [bfa7406] year++
  * [84a367d] use same linux-image package names as in NFSROOT
  * [aba26b4] replace transitional package name for dhcp-client
  * [64edc5e] call genisoimage with -R instead of -r, thanks to
    Syd Alsobrook for report and suggestion

 -- Michael Prokop <mika@debian.org>  Tue, 10 May 2011 12:39:55 +0200

## fai 3.4.8ubuntu2

=== debian/changelog ===
fai (3.4.8ubuntu2) precise; urgency=low

  * In the case FAI is started in an Upstart environment, check if an
    upstart job udevtrigger exists. If it does, we really need to start
    this job so that "missed" kernel events are replayed. Otherwise may
    miss block events. This results in block devices having "wrong" owners
    and confuses the FAI "disk-info" utility, which in turn breaks the
    disk detection completely. LP: #941959

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 20 Mar 2012 10:46:12 +0100

fai (3.4.8ubuntu1) precise; urgency=low

  * New Upstream Version
  * Changes for Ubuntu:
   + conf/NFSROOT
    - replacing debian linux-image-* with linux-image-server
    - added console-setup 
    - changed grub to grub-pc
   + exmaples/simple/scripts/GRUB_PC/10-setup:
    - added command to regenerate grub.cfg
   + etc/fai/make-fai-nfsroot.conf:
    - add "--include=aptitude" to FAI_DEBOOTSTRAP_OPTS
    - add "dhcp-client" to "--exclude" to FAI_DEBOOTSTRAP_OPTS
   + bin/fai-cd:
    - add missing grub-common package

 -- Stephan Adig <sh@sourcecode.de>  Tue, 31 Jan 2012 13:39:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Holger Levsen <holger@debian.org>, Michael Prokop <mika@debian.org>
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.2
 Build-Depends-Indep: asciidoc, asciidoc (>= 8.3) | lynx, w3m, dblatex, docbook-xsl, libxml2-utils
 Build-Depends: debhelper (>= 7)
 Vcs-Svn: svn://svn.debian.org/svn/fai/trunk

## fai 3.4.8ubuntu3

=== debian/changelog ===
fai (3.4.8ubuntu3) quantal; urgency=low

  * Switch Depends: to isc-dhcp-server following dhcp3-server to
    isc-dhcp-server transition.  Note that the existing code already
    handles the appropriate configuration file names.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 31 Jul 2012 14:28:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fai
 Section: admin
 Priority: extra
-Maintainer: Thomas Lange <lange@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Lange <lange@debian.org>
 Uploaders: Holger Levsen <holger@debian.org>, Michael Prokop <mika@debian.org>
 Standards-Version: 3.9.2
 Build-Depends-Indep: asciidoc, asciidoc (>= 8.3) | lynx, w3m, dblatex, docbook-xsl, libxml2-utils
@@ -41,7 +42,7 @@
 Package: fai-server
 Architecture: all
 Depends: fai-client, debootstrap
-Recommends: nfs-kernel-server, isc-dhcp-server | dhcp3-server, tftpd-hpa | atftpd, openssh-server, openssh-client, syslinux-common, openbsd-inetd | inet-superserver, fai-setup-storage, libproc-daemon-perl
+Recommends: nfs-kernel-server, isc-dhcp-server, tftpd-hpa | atftpd, openssh-server, openssh-client, syslinux-common, openbsd-inetd | inet-superserver, fai-setup-storage, libproc-daemon-perl
 Suggests: debmirror, apt-move, genisoimage, grub, aptitude, perl-tk
 Conflicts: fai
 Replaces: fai
@@ -62,7 +63,7 @@
 
 Package: fai-quickstart
 Architecture: all
-Depends: fai-server, fai-doc, isc-dhcp-server | dhcp3-server, nfs-kernel-server, syslinux-common, tftpd-hpa | atftpd, apt-move, genisoimage, openbsd-inetd | inet-superserver
+Depends: fai-server, fai-doc, isc-dhcp-server, nfs-kernel-server, syslinux-common, tftpd-hpa | atftpd, apt-move, genisoimage, openbsd-inetd | inet-superserver
 Description: Fully Automatic Installation quickstart package
  FAI is a non-interactive system to install, customize and manage
  Linux systems and software configurations on computers as well as

## fai 3.4.8ubuntu4

=== debian/changelog ===
fai (3.4.8ubuntu4) raring; urgency=low

  * Check mdadm-startall before calling, as that binary is not shipped in
    ubuntu. (LP: #1008250)
  * Cherry pick https://github.com/faiproject/fai/commit/4b7b93c0bc25d49ce1293e1da7491923df56b18f.patch
    To remove duplicate use Storable.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 11 Feb 2013 04:16:00 +0000

## fai 3.4.8ubuntu5

=== Makefile ===
include VERSION

SHELL=/bin/bash
DESTDIR=$(shell pwd)/debian/tmp
export DOCDIR = $(shell pwd)/debian/fai-doc/usr/share/doc/fai-doc
LIBDIR = $(DESTDIR)/usr/lib/fai
SHAREDIR = $(DESTDIR)/usr/share/fai
USRSBIN_SCRIPTS = make-fai-nfsroot fai-setup fcopy ftar install_packages fai-chboot faimond fai-cd fai setup_harddisks faireboot fai-statoverride setup-storage dhcp-edit
USRBIN_SCRIPTS = fai-class fai-do-scripts fai-mirror fai-debconf device2grub policy-rc.d.fai ainsl faimond-gui

# do not include .svn dir and setup-storage subdir
libfiles=$(patsubst lib/setup-storage,,$(wildcard lib/[a-z]*))

all:
	$(MAKE) -C doc all

clean:
	find -name svn-commit\*.tmp -o -name svn-commit.tmp~ | xargs -r rm
	$(MAKE) -C doc clean

veryclean: clean
	$(MAKE) -f debian/rules clean

install: 
	mkdir -p $(DESTDIR)/{sbin,man} $(DESTDIR)/etc/{modutils,apt/apt.conf.d}
	mkdir -p $(DESTDIR)/usr/{sbin,bin} $(DESTDIR)/usr/lib/fai $(DESTDIR)/etc/fai/apt
	mkdir -p $(DESTDIR)/etc/{init,init.d} $(DESTDIR)/usr/share/fai/{pixmaps/small,setup-storage}
	install man/* $(DESTDIR)/man
	pod2man -c '' -r '' -s8 bin/dhcp-edit > $(DESTDIR)/man/dhcp-edit.8
	$(MAKE) -C doc install
	-install $(libfiles) $(LIBDIR)
	install lib/setup-storage/* $(SHAREDIR)/setup-storage
	cd bin ; install $(USRSBIN_SCRIPTS) $(DESTDIR)/usr/sbin
	cd bin ; install $(USRBIN_SCRIPTS) $(DESTDIR)/usr/bin
	install bin/fai-start-stop-daemon $(DESTDIR)/sbin
	install bin/dhclient-fai-script  $(DESTDIR)/usr/share/fai
	install -m644 conf/dhclient-fai.conf $(DESTDIR)/usr/share/fai
	install -m644 conf/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/90fai
	cd conf ; install -m644 fai.conf menu.lst grub.cfg live.conf $(DESTDIR)/etc/fai/
	install -m644 conf/make-fai-nfsroot.conf $(DESTDIR)/etc/fai/
	install -m644 conf/sources.list $(DESTDIR)/etc/fai/apt/
	install -m644 conf/NFSROOT $(DESTDIR)/etc/fai
	install -m644 conf/fai_modules_off $(DESTDIR)/etc/modutils
	install -m644 conf/menu.lst.boot-only $(DESTDIR)/usr/share/fai/menu.lst
	install -m644 conf/upstart-fai.conf $(DESTDIR)/etc/init/fai.conf
	install -m755 lib/fai-abort $(DESTDIR)/etc/init.d
	install -p -m644 pixmaps/*.gif $(DESTDIR)/usr/share/fai/pixmaps
	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(DESTDIR)/usr/sbin/fai
	cp -a examples $(DOCDIR)
	cp -a utils $(DOCDIR)/examples
	find $(DOCDIR) -name .svn | xargs rm -rf

.PHONY: clean veryclean

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/bin/make -s
 
 DOC = fai-guide
-MISC_DOC = classes_description.txt links.html changelog.old
+MISC_DOC = classes_description.txt links.html changelog.old lenny-instructions.txt
 
 free:	text html ps pdf
 #	echo "`grep -c FIXME $(DOC).txt` FIXMEs left to fix:"

=== debian/changelog ===
fai (3.4.8ubuntu5) trusty; urgency=low

  * Suggest ntfs-3g, instead of ntfsprogs. (LP: #1216470)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 06 Nov 2013 00:43:24 +0000

=== debian/control ===
--- 
+++ 
@@ -89,7 +89,7 @@
 Architecture: all
 Depends: perl, libparse-recdescent-perl, liblinux-lvm-perl, parted
 Recommends: lvm2, mdadm
-Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfsprogs, reiserfsprogs, xfsprogs
+Suggests: dmsetup, cryptsetup, dosfstools, jfsutils, ntfs-3g, reiserfsprogs, xfsprogs
 Conflicts: fai-client (<< 3.4~)
 Description: automatically prepare storage devices
  Using FAI disk_config files, setup-storage computes effective

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 DESTDIR=`pwd`/debian/tmp
 DOCDIR=`pwd`/debian/fai-doc/usr/share/doc/fai-doc
-
-# we never want CVS and subversion files in our packages
-export DH_ALWAYS_EXCLUDE=CVS:.svn
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -23,7 +20,6 @@
 clean:
 	dh_testdir
 #	dh_testroot
-	rm -f build-stamp
 # Add here commands to clean up after the build process.
 	$(MAKE) clean
 	dh_clean
@@ -31,7 +27,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 # Add here commands to install the package into debian/fai.
 	$(MAKE) install
@@ -57,7 +53,7 @@
 	find ${DOCDIR}/examples/*/files -name postinst | xargs chmod a+x
 	chmod a+rx ${DOCDIR}/examples/utils/*
 	perl -pi -e 's/FAIVERSIONSTRING/$(VERSIONSTRING)/' $(shell pwd)/debian/fai-client/usr/share/doc/fai-client/README
-	cp `pwd`/debian/fai-quickstart.lintian $(shell pwd)/debian/fai-quickstart/usr/share/lintian/overrides/fai-quickstart
+	dh_lintian
 # You may want to make some executables suid here.
 	dh_installdeb
 	dh_gencontrol
